#!/bin/sh
# Remote-Timer-Plugin    - by rich -
# Timerverwaltung fr Neutrino D-Box2
# Flexmenue: ACTION=Remote-Timer-Plugin,/var/plugins/remote_timer.sh MENU; if [ -f /tmp/menu_remote_timer.flx ]; then shellexec /tmp/menu_remote_timer.flx; else msgbox size=32 refresh=2 title='Remote-Timer-Plugin' msg='~cFehler:  Es ist ein Problem bei der Erstellung~n~cder Men~u-Struktur aufgetreten.'; fi
#
VERSION="V 2.0.6"
if [ ! -s /var/tuxbox/config/remote_timer.conf ]; then
	msgbox size=32 refresh=2 select=" IP Einstellung... ,EXIT" title="Willkommen im Remote-Timer-Plugin" msg="~cEs ist noch keine IP-Adresse f~ur die Remote-Box eingestellt.~n~n~cDies ist aber f~ur die Funktion des Plugins notwendig.~n~s~n~cPlugin-Version:  $VERSION"
	if [ $? = 1 ]; then
		IP_BOX2=`ifconfig | sed -n 's/^.*inet addr\://p' | sed -n 1p | cut -d" " -f1`
		echo "IP_BOX2=${IP_BOX2:-192.168.0.55}~>LOGIN=\"\"~>VORSCHAU=2~>EPGMAX=50~>SCRIPT_TIMEOUT=30~>FARBE_CH=G~>FARBE_EPG=Y~>EPGINFO_S=29~>CHECK_T=10~>SIZE_P=2" | sed -e 's/~>/\n/g' > /var/tuxbox/config/remote_timer.conf
		$0 SETUP IP_NEU START
		[ ! -s /var/tuxbox/config/remote_timer.conf ] && exit 1
	else
		exit 0
	fi
	[ "$2" = IP_NEU ] && exit 0
fi
RT="Remote-Timer Info"; FARBE_CH=G; FARBE_EPG=Y; EPGINFO_S=29; CHECK_T=10; SIZE_P=2
. /var/tuxbox/config/remote_timer.conf
[ $SIZE_P = 3 ] && M_SIZE="size=36" || M_SIZE="size=32"
case "$1" in
	"MENU")
		if [ $SIZE_P = 2 ]; then FONTSIZE=19; WIDTH=550; fi
		if [ $SIZE_P = 3 ]; then FONTSIZE=22; LINESPP=16; WIDTH=620; fi
echo "FONT=/share/fonts/micron_bold.ttf
WIDTH=${WIDTH:-510}
HIGHT=510
FONTSIZE=${FONTSIZE:-17}
LINESPP=${LINESPP:-18}
PAGING=1
KILLEPG=0
MENU=Remote-Timer-Plugin  $VERSION
	MENU=Sendung f~ur Aufnahme ausw~ahlen...
		ACTION=&Bouquet / Sender ausw~ahlen...,$0 BOUQUET
		ACTION=&Manuelle Timer-Programmierung...,$0 MANUELL
		ACTION=&Aktueller Sender - EPG-Daten einlesen,$0 EPG,EPG-Daten werden verarbeitet ...
		SHELLRESON=-&Schl~usselwort  suchen...,$0 SUCHE,[ -s /tmp/remote_epg.flx ] && sed -n '2p' /tmp/remote_epg.flx | grep -q '.............'
		COMMENT=*
		INCLUDE=/tmp/remote_suche.flx
		INCLUDE=/tmp/remote_epg.flx
	ENDMENU
	MENU=Remote-Box Timer~ubersicht...
		ACTION=&Remote-Box Timer einlesen,$0 TIMER,Timer-Daten werden verarbeitet ...
		ACTION=&Remote-Box Timer einlesen & ~uberpr~ufen,$0 TIMER_2,Daten werden verarbeitet und gepr~uft ...
		COMMENT=*
		INCLUDE=/tmp/remote-timer.flx
	ENDMENU
	COMMENT=*
	ACTION=&Aufnahme der laufenden Sendung,$0 REC JETZT
	ACTION=&Aufnahme der folgenden Sendung,$0 REC NACH
	COMMENT=*
	MENU=Remote-Box Bedienfunktionen...
		ACTION=&Remote-Box Aufnahme starten...,$0 REMOTE TIMER_START
		ACTION=&Aktive Timer-Aufnahme stoppen...,$0 REMOTE TIMER_STOP
		COMMENT=*
		ACTION=&Sender der Remote-Box abfragen...,$0 REMOTE ZAPPEN_IN
		ACTION=&Sender der Master-Box ~ubergeben...,$0 REMOTE ZAPPEN_OUT
		COMMENT=*
		ACTION=&FB der Remote-Box sperren,$0 REMOTE FB_OFF
		ACTION=&FB der Remote-Box freigeben,$0 REMOTE FB_ON
		ACTION=Remote freigeben & Master sperren,$0 REMOTE FB_ON-OFF
		COMMENT=*
		ACTION=&Remote-Box von Standby einschalten,$0 REMOTE SDOWN STANDBY_OFF
		ACTION=&Remote-Box in Standby ausschalten,$0 REMOTE SDOWN STANDBY_ON
		ACTION=&Remote-Box ausschalten,$0 REMOTE SDOWN OFF
		ACTION=&Remote-Box neu starten,$0 REMOTE SDOWN REBOOT
	ENDMENU
	INCLUDE=/var/tuxbox/config/remote_boxen.flx
	COMMENT=*
	INCLUDE=/var/tuxbox/config/remote_box.conf
	MENU=Plugin Einstellungen...
		ACTION=&Remote-Box Adresse einstellen...,$0 SETUP IP_NEU
		ACTION=&Maximale Anzahl EPG-Datens~atze...,$0 SETUP EPGMAX_NEU
		ACTION=&Ansicht der EPG-Vorschau...,$0 SETUP VORSCHAU_NEU
		ACTION=&Farbe Senderwahl - Manueller Timer...,$0 SETUP COLOR_NEU
		ACTION=&Schriftgr~o~ze f~ur Plugin-Men~u / EPG-Info...,$0 SETUP EPGINFO_SIZE
		ACTION=&Warnmeldung bei Timerpr~ufung...,$0 SETUP CHECK_T
		ACTION=&Plugin-Timeout...,$0 SETUP TIMEOUT_NEU
		COMMENT=*
		DEPENDON=-&Config-Datei anzeigen...,msgbox $M_SIZE title=\"Plugin Einstellungen\" timeout=300 popup=\"\$(sed -e 's/LOGIN=.*/LOGIN=~Y ******/' /var/tuxbox/config/remote_timer.conf)\",/var/tuxbox/config/remote_timer.conf
		ACTION=&Reset > Remote-Timer-Plugin,rm /var/tuxbox/config/remote_*.conf /tmp/remote*
		INCLUDE=/tmp/upd_remote-timer.flx
		COMMENT=*
		ACTION=&Neue Remote-Box hinzuf~ugen...,$0 SETUP IP_NEU BOX_NEU
		SHELLRESON=-&Remote-Box(en) bearbeiten...,$0 SETUP BOX_MODIFY,[ -s /var/tuxbox/config/remote_box.conf ]
		COMMENT=*
		INCLUDE=/var/tuxbox/config/remote_box.conf
	ENDMENU
ENDMENU=rm /tmp/menu_remote_timer.flx" > /tmp/menu_remote_timer.flx
		exit 0
	;;
esac
kill_script() {
	kill $$
	msgbox $M_SIZE timeout=7 refresh=2 title="$RT" popup="~cFehler:  Timeout von $SCRIPT_TIMEOUT Sekunden ~uberschritten !!!" &
	rm /tmp/tmp_rtp_*
	exit 1
}
timeOut() {
	sleep $SCRIPT_TIMEOUT && kill_script &
}
ende() {
	rm /tmp/tmp_rtp_*; exit 0
}
info_ip() {
	ping -c 1 $IP_BOX2 > /dev/null && INFO_IP="antwortet nicht" || INFO_IP="ist nicht erreichbar"
}
box_auswahl() {
AUSWAHL_BOX=`sed -e 's/^SHELLRESOFF=-&/  /' /var/tuxbox/config/remote_box.conf | sed -e '{s/,\/var\/plugins.*/ /;s/^COMMENT=\*$/_\n_\n_\n_\n_/}' | sed 'NNs/\n[^_]/,/g' | sed 'NNNs/\n[^_]/,/g' | sed -e 's/^  / /' | sed -n '1p'`
if [ -n "$AUSWAHL_BOX" ]; then
	msgbox $M_SIZE absolute=1 order=1 select="$AUSWAHL_BOX" title="${BOX_INFO2:-"Aufnahme-Timer setzen"}" msg="~cBitte die ${BOX_INFO1:-Ziel}-Box ausw~ahlen."
	SELECT_Z=$?
	if [ $SELECT_Z != 0 ]; then
		ziel_box
		if [ "$NO_TIMER" != 1 ]; then
			timer_setzen
			[ -e /tmp/tmp_rtp_chlist1 ] && mv /tmp/tmp_rtp_chlist1 /tmp/remote_timer_chlist
		fi
	else
		ende
	fi
else
	msgbox $M_SIZE title="$RT" msg="~cFehler:  Es ist keine weiter Remote-Box verf~ugbar."
fi
}
ziel_box() {
	ZIELBOX=`sed -n $SELECT_Z'p' /var/tuxbox/config/remote_box.conf | sed -e 's/.*_timer.sh SETUP BOX_IP //' -e 's/,grep -q =.*//'`
	BOX2_NAME=`sed -n $SELECT_Z'p' /var/tuxbox/config/remote_box.conf | sed -e '{s/^SHELLRESOFF=-\&//;s/,\/var\/plugins.*//}'`
	IP_BOX2=`echo "$ZIELBOX" | sed -e 's/ \".*//'`
	LOGIN=`echo "$ZIELBOX " | cut -d " " -f 2- | sed -e 's/^\"\(.*\)\" $/\1/'`
	[ "$NO_TIMER" != 1 -a -e /tmp/remote_timer_chlist ] && mv /tmp/remote_timer_chlist /tmp/tmp_rtp_chlist1
}
boxenauswahl() {
	NO_TIMER=1; BOX_INFO2="Remote-Boxen"; BOX_INFO1="Remote"
	box_auswahl
}
timer_setzen() {
	if [ ! -s /tmp/remote_timer_chlist ]; then
		timeOut
		wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/channellist" > /tmp/remote_timer_chlist
		kill $!
	fi
	if [ "$TIMER_KOPIE" = 1 ]; then
		if [ -s /tmp/remote_timer_chlist ]; then
			BOX_KOPIE=Ziel
			ziel_box
			timeOut
			wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/channellist" > /tmp/remote_timer_chlist
			kill $!
		fi
	fi
	if [ -s /tmp/remote_timer_chlist ]; then
		if [ "$TIMER_MODIFY" != 1 ]; then
			grep -q "^$channel_id " /tmp/remote_timer_chlist
			if [ $? = 1 ]; then
				rm /tmp/remote_timer_chlist
				msgbox $M_SIZE absolute=1 default=2 select=" Timer setzen ,EXIT" title="$RT" msg="~cFehler:  Dieser Sender ist auf der ${BOX_KOPIE:-Remote}-Box laut~n~cihrer Senderliste nicht empfangbar.~n~n~cSoll dieser Timer trotzdem gesetzt werden ?~n~s~n~c$BOX2_NAME"
				if [ $? != 1 ]; then
					[ -e /tmp/tmp_rtp_chlist1 ] && mv /tmp/tmp_rtp_chlist1 /tmp/remote_timer_chlist
					ende
				fi
			fi
		fi
		timeOut
		wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/timer$TIMER_STRG" > /tmp/tmp_rtp_info
		kill $!
		if [ -s /tmp/tmp_rtp_info ]; then
			if [ `sed -e 's/[^a-z]//g' /tmp/tmp_rtp_info` = ok ]; then
				if [ "$TIMER_KOPIE" = 1 ]; then
					msgbox $M_SIZE absolute=1 select=" Timer l~oschen , Timer belassen " title="Aufnahme-Timer  Nr. $TIMER_NR" msg="~cDer ausgew~ahlte Timer wurde erfolgreich kopiert.~n~n~cSoll jetzt der urspr~ungliche Timer gel~oscht werden ?~n~s~n~cQuell-Box:  $QUELL_NAME~n~cZiel-Box:  $BOX2_NAME"
					[ $? = 1 ] && SELECT_T=1
				else
					msgbox $M_SIZE title="$RT" popup="~cDer Timer wurde erfolgreich ${TIMER_INFO:-gesetzt}.~n~s~n~c$BOX2_NAME"
					T_LESEN=1
				fi
			else
				msgbox $M_SIZE title="$RT" msg="~cFehler:  Die ${BOX_KOPIE:-Remote}-Box antwortet mit ERROR !!!~n~n~cDer Timer konnte nicht ${TIMER_INFO:-gesetzt} werden.~n~s~n~c$BOX2_NAME"
			fi
		else
			INFO=KEIN_ANTWORT
		fi
	else
		INFO=KEIN_ANTWORT
	fi
	if [ "$INFO" = KEIN_ANTWORT ]; then
		[ -e /tmp/remote_timer_chlist ] && rm /tmp/remote_timer_chlist
		[ -e /tmp/tmp_rtp_chlist1 ] && mv /tmp/tmp_rtp_chlist1 /tmp/remote_timer_chlist
		info_ip; msgbox $M_SIZE title="$RT" msg="~cFehler:  Die ${BOX_KOPIE:-Remote}-Box $INFO_IP !!!~n~n~cDer Timer konnte nicht ${TIMER_INFO:-gesetzt} werden.~n~s~n~c$BOX2_NAME"
	fi
}
timer_option() {
	DEFAULT=`echo $rep | sed '{s/256/7/;y/543210/654321/}'`
	msgbox $M_SIZE absolute=1 default=$DEFAULT order=1 select="einmal,t~aglich,w~ochentlich,2-w~ochentlich,4-w~ochentlich,monatlich,  Wochentage...  " title="Aufnahme-Timer" msg="~cBitte Option ausw~ahlen."
	rep=`echo $? | sed '{s/0//;y/123456/012345/;s/7/256/}'`
	if [ -n "$rep" ]; then
		if [ $rep = 256 ]; then
			timer_wtag() {
				TIMER_WD=$(input o=180 c=12 l='#-Montag    #-Dienstag  #-Mittwoch  #-Donnerstag#-Freitag   #-Samstag   #-Sonntag   ------------1=EIN 0=AUS' t='Aufnahme-Timer  Wochentage' d=`echo $wd | sed 'y/-X/01/'`)
				if [ -n "$TIMER_WD" ]; then
					echo "$TIMER_WD" | grep -q '[0-1]\{7\}'
					if [ $? = 0 ]; then
						echo "$TIMER_WD" | grep -q '1'
						if [ $? = 0 ]; then
							wd=`echo $TIMER_WD | sed -n 'y/01/-X/p'`
						else
							msgbox $M_SIZE absolute=1 select=" Neue Eingabe... ,EXIT" title="$RT" msg="~cBitte einen Wochentag ausw~ahlen."
							if [ $? = 1 ]; then
								timer_wtag
							else
								ende
							fi
						fi
					else
						msgbox $M_SIZE absolute=1 select=" Neue Eingabe... ,EXIT" title="$RT" msg="~cFehler bei der Eingabe !!!~n~s~n~cBitte alle Felder nur mit  0  oder  1  ausf~ullen."
						if [ $? = 1 ]; then
							timer_wtag
						else
							ende
						fi
					fi
				else
					ende
				fi
			}
			timer_wtag
		fi
		if [ $rep != 0 ]; then
			TIMER_COUNT=$(input o=180 c=16 l='Wiederholung ###  0=unbegrenzt' t='Aufnahme-Timer wiederholen' d=$repcount)
			if [ -n "$TIMER_COUNT" ]; then
				repcount=`echo "$TIMER_COUNT" | sed -e '{s/ //g;s/^0*//;s/^$/0/}'`
			else
				ende
			fi
		fi
	else
		ende
	fi
}
epg_info() {
	if [ "$EVENT_ID" != "" ]; then
		sleep 3 && killall -9 nhttpd &
		wget -q -Y off -O - "http://localhost/control/epg?eventid=$EVENT_ID" > /tmp/tmp_rtp_epg
		kill $!
		[ -s /tmp/tmp_rtp_epg ] && info_epg="`sed -e 's/'\'//g' /tmp/tmp_rtp_epg | sed -e '{1s/$/\n~s/}' -e '{s/$/ /;1s/.\{,65\} /~Y&\n/g;2,$s/.\{,65\} /&\n/g}' | sed -e '{s/^ *//;s/ *$//}' | sed '/^$/d'`"
		info_epg1="$( echo "$info_epg" | sed -n '1,16p')~n~s"
		info_epg2="$( echo "$info_epg" | sed -n '17,32p')~n~s"
		echo "$info_epg2" | grep -q '.....'
		if [ $? = 0 ]; then
			SEITE_2="Seite  2"; SEITEN=2
			info_epg3="$( echo "$info_epg" | sed -n '33,48p')~n~s"
			info_epg4="$( echo "$info_epg" | sed -n '49,64p')~n~s"
			echo "$info_epg3" | grep -q '.....' && SEITE_3="Seite  3" && SEITEN=3
			echo "$info_epg4" | grep -q '.....' && SEITE_4="Seite  4" && SEITEN=4
		fi
	fi
	[ "$info_epg1" = "~n~s" -o "$info_epg1" = "" ] && info_epg1="~cEs ist keine EPG-Information verf~ugbar."
	info_epg_S1() {
		msgbox size=$EPGINFO_S default=${TASTE_DEF:-1} order=4 absolute=1 select="$TASTE_T,$SEITE_2,$ZIELBOXEN,EXIT" title="EPG-Information  1/${SEITEN:-"1"}" msg="$info_epg1"
		SELECT_T=$?
		if [ $SELECT_T = 2 ]; then
			TASTE_DEF=2
			msgbox size=$EPGINFO_S default=2 order=4 absolute=1 select="$TASTE_T,${SEITE_3:-"Seite  1"},$ZIELBOXEN,EXIT" title="EPG-Information  2/$SEITEN" msg="$info_epg2"
			SELECT_T=$?
			if [ $SELECT_T = 2 ]; then
				if [ "$SEITE_3" = "Seite  3" ]; then
					msgbox size=$EPGINFO_S default=2 order=4 absolute=1 select="$TASTE_T,${SEITE_4:-"Seite  1"},$ZIELBOXEN,EXIT" title="EPG-Information  3/$SEITEN" msg="$info_epg3"
					SELECT_T=$?
					if [ $SELECT_T = 2 ]; then
						if [ "$SEITE_4" = "Seite  4" ]; then
							msgbox size=$EPGINFO_S default=2 order=4 absolute=1 select="$TASTE_T,Seite  1,$ZIELBOXEN,EXIT" title="EPG-Information  4/$SEITEN" msg="$info_epg4"
							SELECT_T=$?
							if [ $SELECT_T = 2 ]; then
								info_epg_S1
							fi
						else
							info_epg_S1
						fi
					fi
				else
					info_epg_S1
				fi
			fi
		fi
	}
	info_epg_S1
	pidof nhttpd > /dev/null
	if [ $? = 1 ]; then nhttpd; sleep 2; fi
}
if [ -s /var/tuxbox/config/remote_box.conf ]; then
	BOX2_NAME=`sed -n '/grep -q ='$IP_BOX2'$ /p' /var/tuxbox/config/remote_box.conf | sed -n 1p | cut -d, -f1 | cut -b 15-`
fi
[ "$BOX2_NAME" = "" ] && BOX2_NAME="Remote-Box  $IP_BOX2"
wget -q -Y off -O - "http://localhost/control/zapto" > /tmp/tmp_rtp_channel_id
channel_id=`cat /tmp/tmp_rtp_channel_id`
wget -q -Y off -O - "http://localhost/control/channellist" > /tmp/tmp_rtp_channellist
case "$1" in
	"REC")
		wget -q -Y off -O - "http://localhost/control/epg?ext" > /tmp/tmp_rtp_jetzt
		wget -q -Y off -O - "http://localhost/control/epg?$channel_id" > /tmp/tmp_rtp_prog
		if [ -s /tmp/tmp_rtp_prog ]; then
			SENDUNG=`sed -n '/^'$channel_id' /p' /tmp/tmp_rtp_jetzt | sed -n 1p`
			START1=$(echo "$SENDUNG" | cut -d" " -f2)
			ENDE1=$(expr "$START1" + `echo "$SENDUNG" | cut -d" " -f3`)
			if [ $2 = JETZT ]; then
				if [ -n "$ENDE1" -a "$START1" -lt "$ENDE1" ]; then
					TIMER_STRG=?'action=new&type=5&alarm='$START1'&stop='$ENDE1'&channel_id='$channel_id'&rs=1'
					if [ "$3" = AUSWAHL ]; then
						box_auswahl
					else
						timer_setzen
					fi
				else
					INFO=KEIN_EPG
				fi
			fi
			if [ $2 = NACH ]; then
				NACH_ZEILE=`expr 1 + $(grep -n ' '$START1' ' /tmp/tmp_rtp_prog | sed -n '1p' | cut -d : -f1)`
				START2=`sed -n $NACH_ZEILE'p' /tmp/tmp_rtp_prog | cut -d" " -f2`
				ENDE2=`expr $START2 + $(sed -n $NACH_ZEILE'p' /tmp/tmp_rtp_prog | cut -d" " -f3)`
				if [ -n "$ENDE2" -a "$START1" -lt "$START2" ]; then
					TIMER_STRG=?'action=new&type=5&alarm='$START2'&stop='$ENDE2'&channel_id='$channel_id'&rs=1'
					if [ "$3" = AUSWAHL ]; then
						box_auswahl
					else
						timer_setzen
					fi
				else
					INFO=KEIN_EPG
				fi
			fi
		else
			INFO=KEIN_EPG
		fi
		if [ "$INFO" = KEIN_EPG ]; then
			[ "$3" = AUSWAHL ] && BOX2_NAME="~YRemote-Box Auswahl"
			[ $2 = JETZT ] && TASTE_REC=" Aufnahme starten... " && INFO_REC="Die Stopp-Zeit in Minuten muss manuell gew~ahlt werden"
			msgbox $M_SIZE select="${TASTE_REC:-" Manueller Timer... "},EXIT" title="$RT" msg="~cFehler:  Es sind keine EPG-Daten vorhanden !!!~n~n~c${INFO_REC:-"Der Timer kann nur manuell gesetzt werden"}.~n~s~n~c$BOX2_NAME"
			if [ $? = 1 ]; then
				rm /tmp/tmp_rtp_*
				if [ $2 = JETZT ]; then
					if [ "$3" = AUSWAHL ]; then
						$0 REMOTE TIMER_START AUSWAHL
					else
						$0 REMOTE TIMER_START
					fi
				else
					$0 MANUELL 0
				fi
				exit 0
			fi
		fi
	;;
	"EPG")
		if [ -s $2 ]; then
			kanal=`sed -n 's/^'$channel_id' //p' /tmp/tmp_rtp_channellist | sed -n '1p'`
		else	
			kanal=`sed -n 's/[0-9]* '$2' //p' /tmp/remote_channel.raw | sed -n y/",'"/"  "/p`
			channel_id=$2; rm /tmp/remote_channel.raw
		fi
		[ -e /tmp/remote_epg.flx ] && rm /tmp/remote_*.flx
		wget -q -Y off -O - "http://localhost/control/epg?xml=true&channelid=$channel_id&max=$EPGMAX" > /tmp/tmp_rtp_epg.raw
		echo "kanal=\"${kanal:="  << ? >>"}\"" > /tmp/remote_kanal.flx; echo "channel_id=$channel_id" >> /tmp/remote_kanal.flx
		echo "COMMENT=Stand:  `date +%d.%m.%y"  "%H:%M` Uhr  -  $kanal" > /tmp/remote_epg.flx
		if [ $(grep -c '^<prog>' /tmp/tmp_rtp_epg.raw) -lt 1 ]; then
			if pidof sectionsd > /dev/null; then
				if pidof nhttpd > /dev/null; then
					echo "COMMENT=~>COMMENT=Fehler:  Keine EPG-Daten vorhanden !!!" | sed -e 's/~>/\n/g' >> /tmp/remote_epg.flx
					if [ `cat /tmp/tmp_rtp_channel_id` != $channel_id ]; then
						echo "COMMENT=Um das Einlesen erneut zu versuchen  sollte~>COMMENT=zuvor auf diesen Sender umgeschaltet werden.~>COMMENT=*~>ACTION=Plugin beenden  >  Umschalten,\`wget -q -Y off -O - http://localhost/control/zapto?$channel_id; rm /tmp/remote_epg.flx\`" | sed -e 's/~>/\n/g' >> /tmp/remote_epg.flx
					else
						echo "COMMENT=Auf diesem Sender kann der Timer nur" >> /tmp/remote_epg.flx; echo "COMMENT=manuell gesetzt werden." >> /tmp/remote_epg.flx
					fi
				else
					echo "COMMENT=Stand:  `date +%d.%m.%Y"  "%H:%M` Uhr~>COMMENT=~>COMMENT=Fehler:  Der HTTP-Server ist nicht aktiv !!!~>COMMENT=Soll dieser jetzt gestartet werden?~>COMMENT=*~>ACTION=&Neustart  >  EPG-Daten einlesen,nhttpd; sleep 4; $0 EPG" | sed -e 's/~>/\n/g' > /tmp/remote_epg.flx
				fi
			else
				echo "COMMENT=~>COMMENT=Fehler:  Der EPG-Sectionsd ist nicht aktiv !!!" | sed -e 's/~>/\n/g' >> /tmp/remote_epg.flx
				grep -q '^[	 ]*KILLEPG=1' /var/tuxbox/config/shellexec.conf
				if [ $? = 1 ]; then
					echo "COMMENT=Soll dieser jetzt neu gestartet werden?~>COMMENT=*~>ACTION=Plugin beenden  >  Sectionsd starten,\`rm /tmp/remote_epg.flx; pidof sectionsd > /dev/null || sectionsd\`" | sed -e's/~>/\n/g' >> /tmp/remote_epg.flx
				else
					msgbox $M_SIZE title="$RT" msg="~cFehler:  Der EPG-Sectionsd ist nicht aktiv !!!~n~n~cZum Einlesen der EPG-Daten ist dieser aber notwendig.~n~s~n~cBei Deaktivierung in der FlexMen~u-Config durch~n~c\"KILLEPG=1\"  bitte dazu die readme.txt lesen."
				fi
			fi
			echo ..... | sed -e '{s/./......./g;s/./COMMENT=\n/g}' >> /tmp/remote_epg.flx
		else
			[ $SIZE_P = 2 ] && V_TAB=166; [ $SIZE_P = 3 ] && V_TAB=182
			vorschau_raw() {
				sed -n '/	<eventid>/,/<\/description>/p' /tmp/tmp_rtp_epg.raw | sed '/^	<eventid_hex>/d' | sed 'N;s/\n//' | sed 'N;s/\n//' | sed 'N;s/\n//' | sed -n y/",'"/"  "/p | sed -e 's/'\'//g'
			}
			vorschau_1z() {
				vorschau_raw | sed -e '{s|	<eventid>\([^<]*\)[^	]*	<start_sec>\([^<]*\)[^	]*	<start_t>\([^<]*\)[^	]*	<date>\(......\)[^	]*	<stop_sec>\([^<]*\)[^	]*	<stop_t>\([^<]*\)[^	]*	<duration_min>\([^<]*\)[^	]*	<description><!\[CDATA\[\([^]]*\).*|ACTION=\&\4  \3 ~T'${V_TAB:-156}'\8,'$0' EPG_2 \1 \2 \3 \4 \5 \6 \7 \"\8\"|g;s/N=&[*+-]/N=\& /}'
			}
			vorschau_2z() {
				vorschau_raw | sed -e '{s|	<eventid>\([^<]*\)[^	]*	<start_sec>\([^<]*\)[^	]*	<start_t>\([^<]*\)[^	]*	<date>\(......\)[^	]*	<stop_sec>\([^<]*\)[^	]*	<stop_t>\([^<]*\)[^	]*	<duration_min>\([^<]*\)[^	]*	<description><!\[CDATA\[\([^]]*\).*|COMMENT=\4  \3 - \6  (\7 min)\nACTION=\&\8,'$0' EPG_2 \1 \2 \3 \4 \5 \6 \7 \"\8\"|g;s/N=&[*+-]/N=\& /}'
			}
			[ $VORSCHAU = 1 ] && vorschau_1z >> /tmp/remote_epg.flx
			[ $VORSCHAU = 2 ] && vorschau_2z >> /tmp/remote_epg.flx
			if [ $VORSCHAU -ge 3 ]; then
				mv /tmp/remote_epg.flx /tmp/tmp_rtp_epg2.raw
				[ $VORSCHAU -le 4 ] && vorschau_1z >> /tmp/tmp_rtp_epg2.raw
				[ $VORSCHAU -ge 5 ] && vorschau_2z >> /tmp/tmp_rtp_epg2.raw
				wget -q -Y off -O - "http://localhost/control/epg?ext" > /tmp/tmp_rtp_jetzt
				SENDUNG=`sed -n '/^'$channel_id' /p' /tmp/tmp_rtp_jetzt | sed -n 1p`
				JETZT_EVENT_ID=`echo "$SENDUNG" | cut -d" " -f4`
				if [ ! -s $JETZT_EVENT_ID ]; then
					JETZT_ZEILE=`expr $(grep -n ' EPG_2 '$JETZT_EVENT_ID' ' /tmp/tmp_rtp_epg2.raw | sed -n '1p' | sed -e 's/:.*//') - 1`
				else
					JETZT_ZEILE=""
				fi
				[ $VORSCHAU = 3 ] && sed -e 1,${JETZT_ZEILE:-1}'s/^ACTION=\&/&~'$FARBE_EPG'/' /tmp/tmp_rtp_epg2.raw > /tmp/remote_epg.flx
				[ $VORSCHAU = 4 ] && sed -e 1's/$/\n/' /tmp/tmp_rtp_epg2.raw | sed 2,`expr ${JETZT_ZEILE:-2} + 1`'d' > /tmp/remote_epg.flx
				if [ $VORSCHAU -ge 5 ]; then
					START=`echo "$SENDUNG" | cut -d" " -f2`
					if [ ! -s $START ]; then
						SEC_VORBEI=$(expr `date +%s` - $START)
						VORBEI=`expr $SEC_VORBEI'00' \/ $(echo "$SENDUNG" | cut -d" " -f3) \/ 5`
						I100=`echo ..... | sed -e 's/./..../g'`
						BALKEN="|"`echo $I100 | sed -e '{s/\(.\{'$VORBEI'\}\).*/\1/;s/./|/g;s/$/'$I100'/;s/\(.\{20\}\).*/\1/}'`"|"
					else
						BALKEN=""
					fi
					[ $VORSCHAU = 5 ] && sed -e 1,${JETZT_ZEILE:-1}'s/^ACTION=\&/&~'$FARBE_EPG'/' /tmp/tmp_rtp_epg2.raw | sed -e $JETZT_ZEILE's/.*/&  '$BALKEN'/' > /tmp/remote_epg.flx
					[ $VORSCHAU = 6 ] && sed -e 1's/$/\n/' /tmp/tmp_rtp_epg2.raw | sed 2,${JETZT_ZEILE:-2}'d' | sed -e 2's/.*/&  '$BALKEN'/' > /tmp/remote_epg.flx
				fi
			fi
			echo "COMMENT=*~>COMMENT=Maximal verf~ugbare EPG-Datens~atze:  `grep -c '^<prog>' /tmp/tmp_rtp_epg.raw`~>COMMENT=Plugin-Einstellung:  maximal $EPGMAX Datens~atze~>COMMENT=Plugin-Version:  $VERSION  ~t- by rich -~>COMMENT=" | sed -e 's/~>/\n/g' >> /tmp/remote_epg.flx
			echo .... | sed -e '{s/./...../g;s/./COMMENT=\n/g}' >> /tmp/remote_epg.flx
		fi
	;;
	"EPG_2")
		[ -s /var/tuxbox/config/remote_box.conf ] && ZIELBOXEN="Ziel-Box..."
		msgbox $M_SIZE absolute=1 order=5 select=" REC-Timer ,EPG-Info...,$ZIELBOXEN,EXIT" title="EPG-Timer-Aufnahme" msg="~c~YSendezeit:  $5  $4 - $7  ($8 min)~n~n~cSoll f~ur diese Sendung der Timer gesetzt werden ?~n~s~n~c$BOX2_NAME"
		SELECT_T=$?
		TASTE_T=" REC-Timer "
		if [ $SELECT_T = 2 ]; then
			EVENT_ID=$2
			epg_info
		fi
		if [ $SELECT_T = 1 -o $SELECT_T = 3 ]; then
			[ -e /tmp/remote_kanal.flx ] && . /tmp/remote_kanal.flx
			TIMER_STRG='?action=new&type=5&alarm='$3'&stop='$6'&channel_id='$channel_id'&rs=1'
			if [ `date +%s` -le $6 ]; then
			if [ $SELECT_T = 3 ]; then
					box_auswahl
				else
					timer_setzen
				fi
			else
				msgbox $M_SIZE title="$RT" msg="~cFehler:  Diese Sendung ist leider schon Vergangenheit."
			fi
		fi
	;;
	"BOUQUET")
		wget -q -Y off -O - "http://localhost/control/getbouquets" > /tmp/remote_bouquet.raw
		[ -e /tmp/remote_epg.flx ] && rm /tmp/remote_*.flx
		if [ ! -s $2 ]; then
			EPG_X=" $2"; FARBE_CH_2=$FARBE_CH; TIMER_MAN="   -   Timer manuell setzen..."
		fi
		echo "COMMENT=Alle Bouquets${TIMER_MAN}" > /tmp/remote_epg.flx
		sed -n y/",'"/"  "/p /tmp/remote_bouquet.raw | sed -e 's|^\([0-9]\+\) \(.*\)$|ACTION=\&~'${FARBE_CH_2:-S}'Nr. \1  -  \2,'$0' CHANNEL \1'"$EPG_X"'|' >> /tmp/remote_epg.flx
		echo "COMMENT=*" >> /tmp/remote_epg.flx
	;;
	"CHANNEL")
		wget -q -Y off -O - "http://localhost/control/getbouquet?bouquet=$2&mode=TV" > /tmp/remote_channel.raw
		[ -e /tmp/remote_epg.flx ] && rm /tmp/remote_*.flx
		if [ ! -s $3 ]; then
			EPG_X="MANUELL EPG_0"; FARBE_CH_2=$FARBE_CH; TIMER_MAN="   -   Timer manuell setzen..."
		fi
		echo "COMMENT=Bouquet  Nr. `sed -n y/",'"/"  "/"$2"p /tmp/remote_bouquet.raw | sed -e 's/\([0-9]*\)/\1   /'`${TIMER_MAN}" > /tmp/remote_epg.flx
		sed -n y/",'"/"  "/p /tmp/remote_channel.raw | sed -e 's|^\([0-9]\+\) \([0-9a-fA-F]\+\) \(.*\)$|ACTION=\&~'${FARBE_CH_2:-S}'Pr. \1  -  \3,'$0' '"${EPG_X:-EPG}"' \2|' >> /tmp/remote_epg.flx
		echo "COMMENT=*" >> /tmp/remote_epg.flx
		echo .... | sed -e '{s/./...../g;s/./COMMENT=\n/g}' >> /tmp/remote_epg.flx
		rm /tmp/remote_bouquet.raw
	;;
	"TIMER" | "TIMER_2")
		if [ ! -s $2 ]; then
			sed -n '/^ACTION=.* '$2'$/p' /tmp/remote-timer.flx | grep -q ' Aufnahme,\/var\/plugins' && MODIFY="~Andern..." && [ -s /var/tuxbox/config/remote_box.conf ] && SENDTO="Kopie..."
			msgbox $M_SIZE absolute=1 order=5 select=" L~oschen ,$MODIFY,$SENDTO,EXIT" title="$RT" msg="~cSoll dieser Timer gel~oscht werden ?~n~s~n~c$BOX2_NAME"
			SELECT_T=$?
			TIMER_NR=$2
			if [ $SELECT_T = 2 -o $SELECT_T = 3 ]; then
				timer_modify() {
					ad=$(echo $MODIFY_DATEN | cut -b -2); amo=$(echo $MODIFY_DATEN | cut -b 3,4); ay=$(echo $MODIFY_DATEN | cut -b 5,6,7,8); ah=$(echo $MODIFY_DATEN | cut -b 9,10); ami=$(echo $MODIFY_DATEN | cut -b 11,12)
					sd=$(echo $MODIFY_DATEN | cut -b 13,14); smo=$(echo $MODIFY_DATEN | cut -b 15,16); sy=$(echo $MODIFY_DATEN | cut -b 17,18,19,20); sh=$(echo $MODIFY_DATEN | cut -b 21,22); smi=$(echo $MODIFY_DATEN | cut -b 23-)
					rep=`sed -n '/select name=\"rep\" /,/<\/select>/p' /tmp/tmp_rtp_modify | sed -n 's/.*option value=\"\([0-9]\+\)\" selected=.*/\1/p'`
					wd=`sed -n 's/.* name=\"wd\" value=\"\([X-]\+\)\" .*/\1/p' /tmp/tmp_rtp_modify`
					repcount=`sed -n 's/.* id=\"repcount\" value=\"\([0-9]\+\)\".*/\1/p' /tmp/tmp_rtp_modify`
					timer_chid=`sed -n '/<td>Programm<\/td>/,/<\/select>/p' /tmp/tmp_rtp_modify | sed -n 's/.*option value=\"\([^"]*\)\" selected=.*/\1/p' | sed -n '1p'`
				}
				timeOut
				wget -q -Y off -O - "http://$LOGIN$IP_BOX2/Y_Timer_Edit.yhtm?typ=modify&tid=$TIMER_NR" > /tmp/tmp_rtp_modify
				kill $!
				[ -s /tmp/tmp_rtp_modify ] && MODIFY_TIMER=$(sed -n '/[^nt]" value="[0-9]/p' /tmp/tmp_rtp_modify | cut -d \" -f6 | sed -e '$s/$/\n_\n_/' | sed 'NN;s/\n//' | sed 'N;s/\n//' | sed 'N;s/\n//' | sed 'N;s/\n//' | sed -e 's/_//g')
				if [ -n "$MODIFY_TIMER" ]; then
					if [ $SELECT_T = 2 ]; then
						MODIFY_DATEN=$(input o=180 c=22 l='Start-Datum ##.##.####       Zeit ##:## Uhr                       Stopp-Datum ##.##.####       Zeit ##:## Uhr' t='Aufnahme-Timer  Nr. '$TIMER_NR d=$MODIFY_TIMER)
						if [ -n "$MODIFY_DATEN"  ]; then
							echo "$MODIFY_DATEN" | grep -q '[0-9]\{24\}'
							if [ $? = 0 ]; then
								timer_modify
								timer_option
								TIMER_STRG=?'action=modify&id='$TIMER_NR'&ad='$ad'&amo='$amo'&ay='$ay'&ah='$ah'&ami='$ami'&sd='$sd'&smo='$smo'&sy='$sy'&sh='$sh'&smi='$smi'&rep='$rep'&wd='$wd'&repcount='$repcount'&channel_id='$timer_chid
								TIMER_MODIFY=1; TIMER_INFO="ge~andert"
								timer_setzen
							else
								msgbox $M_SIZE title="$RT" msg="~cFehler bei der Eingabe !!!~n~s~n~cBitte alle Felder ausf~ullen."
							fi
						fi
					else
						AUSWAHL_BOX=`sed -e 's/.*,grep -q ='$IP_BOX2'$ \/var.*/>>>/g' /var/tuxbox/config/remote_box.conf | sed -e '{s/^SHELLRESOFF=-&/  /;s/,\/var\/plugins.*/ /;s/^COMMENT=\*$/_\n_\n_\n_\n_/}' | sed 'NNs/\n[^_]/,/g' | sed 'NNNs/\n[^_]/,/g' | sed -e 's/[>]\+//g' -e 's/^  / /' | sed -n '1p'`
						if [ -n "$AUSWAHL_BOX" ]; then
							msgbox $M_SIZE absolute=1 order=1 select="$AUSWAHL_BOX" title="Aufnahme-Timer kopieren" msg="~cBitte die Ziel-Box ausw~ahlen."
							SELECT_Z=$?
							if [ $SELECT_Z != 0 ]; then
								MODIFY_DATEN="$MODIFY_TIMER"
								timer_modify
								QUELL_NAME="$BOX2_NAME"; QUELL_IP="$IP_BOX2"; QUELL_LOGIN="$LOGIN"
								TIMER_STRG=?'action=new&type=5&ad='$ad'&amo='$amo'&ay='$ay'&ah='$ah'&ami='$ami'&sd='$sd'&smo='$smo'&sy='$sy'&sh='$sh'&smi='$smi'&rs=0&rep='$rep'&wd='$wd'&repcount='$repcount'&channel_id='$timer_chid
								TIMER_KOPIE=1; BOX_KOPIE=Quell; TIMER_INFO=kopiert
								timer_setzen
								BOX2_NAME="$QUELL_NAME"; IP_BOX2="$QUELL_IP"; LOGIN="$QUELL_LOGIN"
								[ -e /tmp/tmp_rtp_chlist1 ] && mv /tmp/tmp_rtp_chlist1 /tmp/remote_timer_chlist
							fi
						else
							msgbox $M_SIZE title="$RT" msg="~cEs ist keine weiter Remote-Box verf~ugbar."
						fi
					fi
				else
					ping -c 1 $IP_BOX2 && INFO_IP1="antwortet nicht oder fehlerhaft !!!~n~n~cBitte zuvor die Timerliste neu einlesen."
					msgbox $M_SIZE title="$RT" msg="~cFehler:  Remote-Box ${INFO_IP1:-"ist nicht erreichbar !!!"}~n~s~n~c$BOX2_NAME"
				fi
			fi
			if [ $SELECT_T = 1 ]; then
				timeOut
				wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/timer?action=remove&id=$TIMER_NR" > /tmp/tmp_rtp_info
				kill $!
				if [ -s /tmp/tmp_rtp_info ]; then
					if [ `sed -e 's/[^a-z]//g' /tmp/tmp_rtp_info` = ok ]; then
						msgbox $M_SIZE title="$RT" popup="~cDer Timer wurde erfolgreich gel~oscht.~n~s~n~c$BOX2_NAME"
						T_LESEN=1
					else
						msgbox $M_SIZE title="$RT" msg="~cFehler:  Remote-Box antwortet mit ERROR !!!~n~n~cTimer konnte nicht gel~oscht werden."
					fi
				else
					info_ip; msgbox $M_SIZE title="$RT" msg="~cFehler:  Remote-Box $INFO_IP !!!~n~n~cTimer konnte nicht gel~oscht werden.~n~s~n~c$BOX2_NAME"
				fi
				[ -e /tmp/tmp_rtp_info ] && rm /tmp/tmp_rtp_info
			fi
			if [ "$T_LESEN" != 1 ]; then
				ende
			fi
		fi
		timeOut
		wget -q -Y off -O - "http://$LOGIN$IP_BOX2/Y_Timer_List.yhtm" > /tmp/tmp_rtp_timer.raw
		kill $!
		echo "COMMENT=Stand:  `date +%d.%m.%y"  "%H:%M` Uhr  -  $BOX2_NAME" > /tmp/remote-timer.flx
		if [ -s /tmp/tmp_rtp_timer.raw ]; then
			if [ $(grep -c '<tr class=".timer">' /tmp/tmp_rtp_timer.raw) -lt 1 ]; then
				echo "COMMENT=" >> /tmp/remote-timer.flx; echo "COMMENT=Auf dieser Remote-Box sind keine Timerdaten vorhanden." >> /tmp/remote-timer.flx
			else
				if [ $1 = TIMER_2 ]; then
					timeOut
					wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/timer" > /tmp/tmp_rtp_timer_2
					kill $!
					if [ ! -s /tmp/tmp_rtp_timer_2 ]; then
						info_ip; echo "COMMENT=" >> /tmp/remote-timer.flx; echo "COMMENT=Fehler:  Die Remote-Box $INFO_IP !!!" >> /tmp/remote-timer.flx
						echo .... | sed -e '{s/./...../g;s/./COMMENT=\n/g}' >> /tmp/remote-timer.flx
						rm /tmp/tmp_rtp_*; exit 1
					fi
					TIMER_2DAT=`sed -n 's/.*dbox2?action=remove&amp;id=\([0-9]*\).*/\1/p' /tmp/tmp_rtp_timer.raw`
					T_ZEILE_1=0; T_START_2=0; CHECK_T_2=`expr $CHECK_T \* 60`
					while [ ! -s $T_START_2 ]; do
						T_ZEILE_2=`expr $T_ZEILE_1 + 1`
						if [ $T_ZEILE_1 = 0 ]; then
							T_ENDE_1=`date +%s`
						else
							TIMER_NR_1=`echo "$TIMER_2DAT" | sed -n $T_ZEILE_1'p'`
							T_ENDE_1=`sed -n '/^'$TIMER_NR_1' /p' /tmp/tmp_rtp_timer_2 | cut -d ' ' -f7`
							DIFF_1='~R<<'; DIFF_2='~Y'; DIFF_3=' >>'; CHECK_T_3=$CHECK_T_2
						fi
						TIMER_NR_2=`echo "$TIMER_2DAT" | sed -n $T_ZEILE_2'p'`
						T_START_2=`sed -n '/^'$TIMER_NR_2' /p' /tmp/tmp_rtp_timer_2 | cut -d ' ' -f6`
						if [ ! -s $T_START_2 ]; then
							if [ `expr $T_ENDE_1 + ${CHECK_T_3:-3600}` -ge $T_START_2 ]; then
								if [ $T_ENDE_1 -gt $T_START_2 ]; then
									TIMER_DIFF=${DIFF_1:-~Gseit}' '`expr $(expr $T_ENDE_1 - $T_START_2) / 60`' Min.'
								else
									TIMER_DIFF=${DIFF_2:-'~Yin '}`expr $(expr $T_START_2 - $T_ENDE_1) / 60`' Min.'$DIFF_3
								fi
								echo 's/^ACTION=\&\(.* '$TIMER_NR_2'\)$/ACTION=\&'$TIMER_DIFF'~S  \1/' >> /tmp/tmp_rtp_timer_check
							fi
						fi
						T_ZEILE_1=`expr $T_ZEILE_1 + 1`
					done
					INFO_T2=" und ~uberpr~uft"
				fi
				sed -n '/	<td>[0-9]/,/		<a href=/p' /tmp/tmp_rtp_timer.raw | sed 'N;s/\n//' | sed 'N;s/\n//' | sed 'N;s/\n//' | sed -n y/",'"/"  "/p | sed -e '{s/'\'//g;s/&ouml;/~o/;s/&auml;/~a/;s/&uuml;/~u/;s/&#x221E;/oo/}' | sed -e 's|^	<td>\([^<]*\)[^ ]*[ ]*\([^<]*\)[^	]*	<td>\([^<]*\)[^	]*	<td>\([^<]*\)[^	]*	<td>\([^<]*\)[^	]*	<td>\([^<]*\)<br\/>\([^<]*\).*id=\([0-9]*\).*|ACTION=\&\1 - \2  \3  \4  \5,'$0' '$1' \8\nCOMMENT=\6:  \7|' | sed -e '{s/:  $/& - keine EPG-Info verf~ugbar -/;s/NT=[*+-]/NT= /;s/^\(ACTION=.*\) -   /\1   /;s/^COMMENT=:  .*/COMMENT=~~- keine zus~atzliche Info -/;s/:  [^A-z]*$//}' | if [ -s /tmp/tmp_rtp_timer_check ]; then sed -f /tmp/tmp_rtp_timer_check >> /tmp/remote-timer.flx; else cat >> /tmp/remote-timer.flx; fi
				echo "COMMENT=*~>COMMENT=Der Remote-Timer wurde eingelesen$INFO_T2." | sed -e 's/~>/\n/g' >> /tmp/remote-timer.flx
			fi
		else
			info_ip; echo "COMMENT=" >> /tmp/remote-timer.flx; echo "COMMENT=Fehler:  Die Remote-Box $INFO_IP !!!" >> /tmp/remote-timer.flx
		fi
		echo .... | sed -e '{s/./...../g;s/./COMMENT=\n/g}' >> /tmp/remote-timer.flx
	;;
	"MANUELL")
		if [ ! -s $3 ]; then
			channel_id=$3; kanal=`sed -n 's/^'$channel_id' //p' /tmp/tmp_rtp_channellist | sed -n '1p'`
		else
			if [ "$2" = 0 ]; then
				kanal=`sed -n 's/^'$channel_id' //p' /tmp/tmp_rtp_channellist | sed -n '1p'`
			else
				if [ -e /tmp/remote_kanal.flx ]; then
					. /tmp/remote_kanal.flx
				else
					kanal=`sed -n 's/^'$channel_id' //p' /tmp/tmp_rtp_channellist | sed -n '1p'`
				fi
			fi
		fi
		if [ "$2" != 0 ]; then
			msgbox $M_SIZE absolute=1 select="Weiter..., Sender ausw~ahlen..." title="Manuelle Timer-Programmierung" msg="~cSender:  $kanal~n~s~n~c$BOX2_NAME"
			SELECT=$?
		else
			SELECT=1
		fi
		if [ $SELECT = 1 ]; then
			START_DATEN=$(input o=180 c=22 l='Start-Datum ##.##.####       Zeit ##:## Uhr                       Stopp-Datum --.--.----       Zeit --:-- Uhr' t='Manuelle Timer-Programmierung' d=`date +%d%m%Y%H%M`)
			if [ -n "$START_DATEN" ]; then
				echo "$START_DATEN" | grep -q '[0-9]\{12\}'
				if [ $? = 0 ]; then
					ad=$(echo $START_DATEN | cut -b -2); amo=$(echo $START_DATEN | cut -b 3,4); ay=$(echo $START_DATEN | cut -b 5,6,7,8); ah=$(echo $START_DATEN | cut -b 9,10); ami=$(echo $START_DATEN | cut -b 11-)
					STOP_DATEN=$(input o=180 c=22 l='Start-Datum '$ad'.'$amo'.'$ay'       Zeit '$ah':'$ami' Uhr                       Stopp-Datum ##.##.####       Zeit ##:## Uhr' t='Manuelle Timer-Programmierung' d=$START_DATEN)
					if [ -n "$STOP_DATEN" ]; then
						echo "$STOP_DATEN" | grep -q '[0-9]\{12\}'
						if [ $? = 0 ]; then
							sd=$(echo $STOP_DATEN | cut -b -2); smo=$(echo $STOP_DATEN | cut -b 3,4); sy=$(echo $STOP_DATEN | cut -b 5,6,7,8); sh=$(echo $STOP_DATEN | cut -b 9,10); smi=$(echo $STOP_DATEN | cut -b 11-)
							rep=0; wd=-------; repcount=0
							[ "$2" != 0 ] && timer_option
							[ $rep != 0 -a $repcount != 0 ] && T_ANZAHL="~n~cWiederholungen:  $repcount"
							T_OPTION=`echo $rep | sed '{s/256/Wochentage  '$wd'/;s/0/einmal/;s/1/t~aglich/;s/2/w~ochentlich/;s/3/2-w~ochentlich/;s/4/4-w~ochentlich/;s/5/monatlich/}`
							[ -s /var/tuxbox/config/remote_box.conf ] && ZIELBOXEN="Ziel-Box..."
							msgbox $M_SIZE absolute=1 select="  REC-Timer  ,$ZIELBOXEN,EXIT" title="Manuelle Timer-Aufnahme" msg="~cSender:  $kanal~n~s~n~cStart   $ad.$amo.$ay - $ah:$ami Uhr~n~cStopp  $sd.$smo.$sy - $sh:$smi Uhr~n~n~cOption:  $T_OPTION$T_ANZAHL~n~s~n~c$BOX2_NAME"
							SELECT_M=$?
							TIMER_STRG=?'action=new&type=5&ad='$ad'&amo='$amo'&ay='$ay'&ah='$ah'&ami='$ami'&sd='$sd'&smo='$smo'&sy='$sy'&sh='$sh'&smi='$smi'&channel_id='$channel_id'&rs=0&rep='$rep'&wd='$wd'&repcount='$repcount''
							[ $SELECT_M = 1 ] && timer_setzen
							[ $SELECT_M = 2 ] && box_auswahl
						else
							SELECT=NEU
						fi
					fi
				else
					SELECT=NEU
				fi
				if [ $SELECT = NEU ]; then
					msgbox $M_SIZE select=" Neue Eingabe... ,EXIT" title="$RT" msg="~cFehler bei der Eingabe !!!~n~s~n~cBitte alle Felder ausf~ullen."
					if [ $? = 1 ]; then
						rm /tmp/tmp_rtp_*
						if [ "$2" != 0 ]; then
							if [ ! -s $3 ]; then
								$0 MANUELL EPG_0 $3
							else
								$0 MANUELL $3
							fi
						else
							$0 MANUELL 0
						fi
						exit 0
					fi
				fi
			fi
		fi
		if [ $SELECT = 2 ]; then
			rm /tmp/tmp_rtp_*
			$0 BOUQUET EPG_0; exit 0
		fi
	;;
	"SUCHE")
		[ -s /tmp/remote_suche.dat ] && . /tmp/remote_suche.dat
		SUCHWORT=$(input o=180 k=1 l='@@@@@@@@@@@@' t='Schl~usselwort  suchen' d="${SUCHWORT:-" "}" | sed -n 'y/\/;$@()/######/p' | sed -e 's/^$/_/' -e 's/ *$//')
		if [ "$SUCHWORT" != _ ]; then
			echo "$SUCHWORT" | grep -q '#'
			if [ $? = 1 ]; then
				echo "$SUCHWORT" | grep -q '...'
				if [ $? = 0 ]; then
					SUCHWORT2=$(echo "$SUCHWORT" | sed -e 's/\./\\./g' | sed -n 'y/,*/ ./p')
					echo "SUCHWORT=\"$SUCHWORT\"" > /tmp/remote_suche.dat
					echo "COMMENT=Suche nach Schl~usselwort:  $SUCHWORT" > /tmp/remote_suche.flx
					sed -n '2p' /tmp/remote_epg.flx | grep -q '^COMMENT='
					if [ $? = 0 ]; then
						sed '1d' /tmp/remote_epg.flx | sed 'N;s/\n//' | sed -e '{s/'\'/~A/g;s/'\'/~O/g;s/'\'/~U/g;s/'\'/~a/g;s/'\'/~o/g;s/'\'/~u/g;s/'\'/~z/g;s/'\'/~d/g}' | grep -i 'ACTION=\&.*'"$SUCHWORT2"'.*,\/var\/' | sed -e 's/ACTION=\&/\n&~B# ~S/' >> /tmp/remote_suche.flx
					else
						sed -e '{s/'\'/~A/g;s/'\'/~O/g;s/'\'/~U/g;s/'\'/~a/g;s/'\'/~o/g;s/'\'/~u/g;s/'\'/~z/g;s/'\'/~d/g}' /tmp/remote_epg.flx | grep -i '^ACTION=\&.*'"$SUCHWORT2"'.*,\/var\/' | sed -e 's/^ACTION=\&/&~B# ~S/' >> /tmp/remote_suche.flx
					fi
					echo "COMMENT=*" >> /tmp/remote_suche.flx
					if [ $(grep -c '$' /tmp/remote_suche.flx) -le 2 ]; then
						rm /tmp/remote_suche.flx
						SUCHE_INFO="~cDie Suche ergab keine ~Ubereinstimmung.~n~s~n~cSchl~usselwort:  ~B$SUCHWORT"
					fi
				else
					SUCHE_INFO="~cFehler:  Das Schl~usselwort war leider zu kurz.~n~cBitte mehr als 2 Zeichen eingeben."
				fi
			else
				SUCHE_INFO="~cFehler:  Bitte nur die folgenden Zeichen verwenden.~n~n~c~BA-Z  a-z  0-9  .  ,  :  -  +~n~n~c~B*~S  ein beliebiges Zeichen"
			fi
			if [ "$SUCHE_INFO" != "" ]; then
				msgbox $M_SIZE absolute=1 select=" Neue Suche... ,EXIT" title="$RT" msg="$SUCHE_INFO"
				if [ $? = 1 ]; then
					rm /tmp/tmp_rtp_*
					$0 SUCHE; exit 0
				fi
			fi
		fi
	;;
	"REMOTE")
		[ "$3" = AUSWAHL -a "$2" != TIMER_START ] && boxenauswahl
		if [ $2 = ZAPPEN_IN -o $2 = ZAPPEN_OUT ]; then
			timeOut
			REMOTE_ID=`wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/zapto"`
			kill $!
			if [ ! -s /tmp/remote_timer_chlist ]; then
				timeOut
				wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/channellist" > /tmp/remote_timer_chlist
				kill $!
			fi
			if [ $2 = ZAPPEN_IN ]; then
				INFO_Q=Remote; INFO_C=Master
				ZAPNAME=`sed -n 's/^'$REMOTE_ID' //p' /tmp/tmp_rtp_channellist | sed -n '1p'`
				[ "$ZAPNAME" = "" ] && ZAPNAME=`sed -n 's/^'$REMOTE_ID' //p' /tmp/remote_timer_chlist | sed -n '1p'`
				wget -q -Y off -O - "http://localhost/control/setmode?status" > /tmp/tmp_rtp_info_rec
			else
				INFO_Q=Master; INFO_C=Remote
				ZAPNAME=$(sed -n 's/^'$channel_id' //p' /tmp/tmp_rtp_channellist | sed -n '1p')
				[ "$ZAPNAME" = "" ] && ZAPNAME=`sed -n 's/^'$channel_id' //p' /tmp/remote_timer_chlist | sed -n '1p'`
				timeOut
				wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/setmode?status" > /tmp/tmp_rtp_info_rec
				kill $!
			fi
			[ "$ZAPNAME" = "" ] && ZAPNAME="<<  ?  >>"
			if [ ! -s $REMOTE_ID ] && [ -s /tmp/remote_timer_chlist ] && [ -s /tmp/tmp_rtp_info_rec ]; then
				if [ $channel_id = $REMOTE_ID ]; then
					msgbox $M_SIZE absolute=1 title="Aktueller Sender der "$INFO_Q"-Box" msg="~c$ZAPNAME~n~s~n~cMaster- und Remote-Box laufen schon~n~cauf dem gleichen Sender.~n~s~n~c$BOX2_NAME"
				else
					ZAP_BOX() {
						msgbox $M_SIZE absolute=1 select="Umschalten,EXIT" title="Aktueller Sender der "$INFO_Q"-Box" msg="~c$ZAPNAME~n~s~n~cSoll die "$INFO_C"-Box jetzt auf diesen Sender~n~cumgeschalten werden ?~n~s~n~c$BOX2_NAME"
						SELECT_ZAP=$?
						if [ $SELECT_ZAP = 1 ]; then
							grep -q "on" /tmp/tmp_rtp_info_rec
							if [ $? = 0 ]; then
								msgbox $M_SIZE absolute=1 select="Umschalten,EXIT" title=$INFO_C"-Box Info" msg="~c~F-==~S   A C H T U N G   ~F==-~n~s~n~cDie "$INFO_C"-Box befindet sich im Aufnahme-Mode.~n~cDas Umschalten des Senders kann die~n~cAufnahme besch~adigen.~n~s~n~c$BOX2_NAME"
								SELECT_Zap=$?
							fi
						fi
						if [ $SELECT_ZAP != 1 ]; then
							ende
						fi
					}
					if [ $2 = ZAPPEN_IN ]; then
						grep -q "^$REMOTE_ID " /tmp/tmp_rtp_channellist
						if [ $? = 0 ]; then
							ZAP_BOX
							sleep 1 && wget -q -Y off -O - "http://localhost/control/zapto?$REMOTE_ID" &
						else
							INFO=CH_FEHLER
						fi
					else
						grep -q "^$channel_id " /tmp/remote_timer_chlist
						if [ $? = 0 ]; then
							ZAP_BOX
							timeOut
							INFO_ZAP=`wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/zapto?$channel_id"`
							kill $!
							[ "$INFO_ZAP" != ok ] && INFO=KEIN
						else
							INFO=CH_FEHLER
						fi
					fi
					if [ "$INFO" = CH_FEHLER ]; then
						[ -e /tmp/remote_timer_chlist ] && rm /tmp/remote_timer_chlist
						msgbox $M_SIZE absolute=1 title="Aktueller Sender der "$INFO_Q"-Box" msg="~c$ZAPNAME~n~s~n~cDieser Sender ist auf der "$INFO_C"-Box laut~n~cihrer Senderliste nicht empfangbar.~n~s~n~c$BOX2_NAME"
					fi
				fi
			else
				INFO=KEIN
			fi
		fi
		if [ $2 = TIMER_START ]; then
			timeOut
			wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/setmode?status" > /tmp/tmp_rtp_info_rec
			kill $!
			if [ -s /tmp/tmp_rtp_info_rec ]; then
				grep -q "on" /tmp/tmp_rtp_info_rec
				if [ $? = 0 ]; then
					msgbox $M_SIZE absolute=1 select=" Weiter... ,EXIT" title="$RT" msg="~c~F-==~S   A C H T U N G   ~F==-~n~s~n~cDie Remote-Box befindet sich schon im Aufnahme-Mode.~n~cDiese Aufnahme kann dadurch besch~adigt werden.~n~s~n~c$BOX2_NAME"
					if [ $? != 1 ]; then
						ende
					fi
				fi
				stop_min=$(input o=180 l='in ### Minuten' t='Remote-Box Aufnahme wieder stoppen' d=60 | sed -e 's/^0\+//' -e 's/ //g')
				if [ ! -s $stop_min ]; then
					timer_sec=`expr $stop_min \* 60`
					timer_start=`date +%s`
					timer_stop=`expr $timer_start + $timer_sec`
					TIMER_STRG=?'action=new&type=5&alarm='$timer_start'&stop='$timer_stop'&channel_id='$channel_id'&rs=0'
					if [ "$3" = AUSWAHL ]; then
						box_auswahl
					else
						timer_setzen
					fi
				else
					msgbox $M_SIZE title="$RT" msg="~cFehler:  Die Eingabe der Stopp-Zeit war fehlerhaft.~n~n~cDie Aufnahme wurde nicht gestartet."
				fi
			else
				INFO=KEIN
			fi
		fi
		if [ $2 = TIMER_STOP ]; then
			timeOut
			wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/timer" > /tmp/tmp_rtp_timer5
			kill $!
			timer_5=`sed -n '/^[0-9]\+ 5 /p' /tmp/tmp_rtp_timer5`
			if [ "$timer_5" != "" ]; then
				line=1
				timer_line=$(echo "$timer_5" | sed -n 1p)
				while [ "$timer_line" != "" ]; do
					timer_start=$(echo "$timer_line" | cut -d" " -f6)
					if [ `date +%s` -gt $timer_start ]; then
						timer_stop=$(echo "$timer_line" | cut -d" " -f7)
						if [ `date +%s` -lt $timer_stop ]; then
							timer_aktiv=1
							TIMER_NR=`echo "$timer_line" | cut -d" " -f1`
							msgbox $M_SIZE select="Timer l~oschen, Timer belassen " title="Aktiver Aufnahme-Timer" msg="Der Timer Nr. $TIMER_NR  ist noch $(expr $(expr $timer_stop - `date +%s`) / 60 | sed -e 's/^0$/weniger als eine Minute /' -e 's/^1$/eine Minute /' -e 's/^[0-9]\+$/& Minuten /')aktiv.~n~n~cSender:  `echo "$timer_line" | sed -e 's/.* '$timer_stop' //'`~n~s~n~c$BOX2_NAME"
							if [ $? = 1 ]; then
								timeOut
								wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/timer?action=remove&id=$TIMER_NR" > /tmp/tmp_rtp_info
								kill $!
								if [ -s /tmp/tmp_rtp_info ]; then
									if [ `sed -e 's/[^a-z]//g' /tmp/tmp_rtp_info` != ok ]; then
										msgbox $M_SIZE title="$RT" msg="~cFehler:  Remote-Box antwortet mit ERROR !!!~n~n~cTimer konnte nicht gel~oscht werden.~n~s~n~c$BOX2_NAME"
									fi
								else
									INFO2=KEIN_ANTWORT
								fi
							fi
						fi
					fi
					line=`expr $line + 1`
					timer_line=$(echo "$timer_5" | sed -n "$line"p)
				done
			fi
			if [ "$INFO2" = KEIN_ANTWORT ]; then
				info_ip; msgbox $M_SIZE title="$RT" msg="~cFehler:  Remote-Box $INFO_IP !!!~n~n~cTimer konnte nicht gel~oscht werden.~n~s~n~c$BOX2_NAME"
			else
				INFO1=`wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/info"`
				if [ "$INFO1" = Neutrino ]; then
					[ "$timer_aktiv" != 1 ] && msgbox $M_SIZE title="$RT" msg="~cEs ist zurzeit keine Timer-Aufnahme aktiv.~n~s~n~c$BOX2_NAME"
				else
					INFO=KEIN
				fi
			fi
		fi
		if [ $2 = FB_OFF ]; then
			timeOut
			wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/rc?lock" > /tmp/tmp_rtp_info
			kill $!
			if [ -s /tmp/tmp_rtp_info ]; then
				if [ `sed -e 's/[^a-z]//g' /tmp/tmp_rtp_info` = ok ]; then
					msgbox $M_SIZE title="$RT" popup="~cDie Fernbedienung der Remote-Box wurde gesperrt.~n~s~n~c$BOX2_NAME"
				else
					INFO=ERROR
				fi
			else
				INFO=KEIN
			fi
		fi
		if [ $2 = FB_ON -o $2 = FB_ON-OFF ]; then
			timeOut
			wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/rc?unlock" > /tmp/tmp_rtp_info
			kill $!
			if [ -s /tmp/tmp_rtp_info ]; then
				if [ `sed -e 's/[^a-z]//g' /tmp/tmp_rtp_info` = ok ]; then
					[ $2 = FB_ON-OFF ] && INFO_OFF="~n~cund die der Master-Box wird jetzt gesperrt"
					msgbox $M_SIZE timeout=4 title="$RT" popup="~cDie Fernbedienung der Remote-Box wurde freigegeben$INFO_OFF.~n~s~n~c$BOX2_NAME"
					if [ $2 = FB_ON-OFF ]; then
						wget -q -Y off -O - "http://localhost/control/rc?lock"
						sleep 2 && rcsim KEY_OK &
					fi
				else
					INFO=ERROR
				fi
			else
				INFO=KEIN
			fi
		fi
		if [ $2 = SDOWN ]; then
			[ "$4" = AUSWAHL ] && boxenauswahl
			if [ "$3" = OFF ]; then
				AUS_1=shutdown; AUS_INFO="ausgeschaltet"
			else
				[ "$3" = STANDBY_ON ] && AUS_1=standby?on && AUS_INFO="in Standby ausgeschaltet"
				[ "$3" = STANDBY_OFF ] && AUS_1=standby?off && AUS_INFO="aus Standby eingeschaltet"
				[ "$3" = REBOOT ] && AUS_1=reboot && AUS_INFO="neu gestartet"
			fi
			timeOut
			wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/setmode?status" > /tmp/tmp_rtp_info_rec
			kill $!
			grep -q "on" /tmp/tmp_rtp_info_rec
			if [ $? = 0 ]; then
				if [ "$3" = STANDBY_OFF ]; then
					msgbox $M_SIZE absolute=1 select=" Weiter ,EXIT" title="$RT" msg="~c~F-==~S   A C H T U N G   ~F==-~n~s~n~cDie Remote-Box befindet sich im Aufnahme-Mode.~n~s~n~c$BOX2_NAME"
					if [ $? != 1 ]; then
						ende
					fi
				else
					msgbox $M_SIZE title="$RT" msg="~c~F-==~S   A C H T U N G   ~F==-~n~s~n~cDie Remote-Box befindet sich im Aufnahme-Mode.~n~cSie kann nicht $AUS_INFO werden.~n~s~n~c$BOX2_NAME"
					ende
				fi
			fi
			timeOut
			wget -q -Y off -O - "http://$LOGIN$IP_BOX2/control/$AUS_1" > /tmp/tmp_rtp_info
			kill $!
			if [ -s /tmp/tmp_rtp_info ]; then
				if [ `sed -e 's/[^a-z]//g' /tmp/tmp_rtp_info` = ok ]; then
					msgbox $M_SIZE title="$RT" popup="~cDie Remote-Box wird $AUS_INFO.~n~s~n~c$BOX2_NAME"
				else
					INFO=ERROR
				fi
			else
				INFO=KEIN
			fi
		fi
		if [ "$INFO" = KEIN ]; then
			[ -e /tmp/remote_timer_chlist ] && rm /tmp/remote_timer_chlist
			info_ip; msgbox $M_SIZE title="$RT" msg="~cFehler:  Die Remote-Box $INFO_IP !!!~n~s~n~c$BOX2_NAME"
		fi
		if [ "$INFO" = ERROR ]; then
			msgbox $M_SIZE title="$RT" msg="~cFehler:  Die Remote-Box antwortet mit ERROR !!!~n~s~n~c$BOX2_NAME"
		fi
	;;
	SETUP)
		if [ $2 = BOX_MODIFY ]; then
			NO_TIMER=1; BOX_INFO1=Remote; BOX_INFO2="Remote-Box bearbeiten..."
			box_auswahl
			[ $SELECT_Z != 1 ] && MINUS=" oben schieben " && POS=" Position... "
			[ $SELECT_Z != `grep -c ^SHELL /var/tuxbox/config/remote_box.conf` ] && PLUS=" unten schieben " && POS=" Position... "
			msgbox $M_SIZE absolute=1  order=4 select="L~oschen, ~Andern... ,$POS,EXIT" title="$BOX_INFO2"  msg="~cSoll diese Remote-Box gel~oscht werden ?~n~s~n~c$BOX2_NAME"
			SELECT_B=$?
			if [ $SELECT_B = 1 ]; then
				BOXEN=`cat /var/tuxbox/config/remote_box.conf`
				echo "$BOXEN" | sed "$SELECT_Z"d > /var/tuxbox/config/remote_box.conf
				grep -q SHELLRESOFF /var/tuxbox/config/remote_box.conf || rm /var/tuxbox/config/remote_box.conf
			fi
			if [ $SELECT_B = 3 ]; then
				msgbox $M_SIZE absolute=1 select="$MINUS,$PLUS" title="$BOX2_NAME"  msg="~cRemote-Box eine Position nach ..."
				SELECT_V=$?
				if [ $SELECT_V = 0 ]; then
					ende
				fi
				if [ $SELECT_V = 1 ]; then
					POS_NEU=`expr $SELECT_Z - 1`
				else
					POS_NEU=`expr $SELECT_Z + 1`
				fi
				BOXEN=`cat /var/tuxbox/config/remote_box.conf`
				BOX_1=`echo "$BOXEN" | sed -n $SELECT_Z'p' | sed -e '{s:\/:\\\/:g;s/-&/~#/}'`
				BOX_2=`echo "$BOXEN" | sed -n $POS_NEU'p' | sed -e '{s:\/:\\\/:g;s/-&/~#/}'`
				echo "$BOXEN" | sed -e $SELECT_Z's/.*/'"$BOX_2"'/' -e $POS_NEU's/.*/'"$BOX_1"'/' -e 's/~#/-\&/' > /var/tuxbox/config/remote_box.conf
			fi
			if [ $SELECT_B != 2 ]; then
				ende
			fi
			LOGIN_ALT=Beibehalten; MODIFY_NAME="$BOX2_NAME"
		fi
		if [ $2 = IP_NEU -o "$NO_TIMER" = 1 ]; then
			msgbox $M_SIZE absolute=1 select="IP-Adresse..., Web-Adresse... " title="Neue Remote-Box Adresse"  msg="~cBitte den Adresstyp ausw~ahlen."
			ADRESSE=$?
			if [ $ADRESSE = 1 ]; then
				IP_raw=`echo ."$IP_BOX2" | sed -e 's/[0-9]\+/000&/g' -e 's/\.0\{,3\}\([0-9]\{3\}\)/\1/g'`
				echo "$IP_raw" | grep -q '[0-9]\{12\}$'
				[ $? = 1 ] && IP_raw=`ifconfig | sed -n 's/^.*inet addr\:/./p' | sed -n 1p | cut -d" " -f1 | sed -e 's/[0-9]\+/000&/g' -e 's/\.0\{,3\}\([0-9]\{3\}\)/\1/g'`
				IP_BOX2_NEU=$(input o=180 l='###.###.###.###' t='Neue Remote-Box IP-Adresse' d=${IP_raw:-192168000055} | sed -e 's/\(^...\)\(...\)\(...\)\(...$\)/\1.\2.\3.\4/' -e 's/   /0/g' -e 's/ //g' -e 's/^0\{1,2\}\([0-9]\{1,3\}\)/\1/' -e 's/\.0\{1,2\}\([0-9]\{1,3\}\)/.\1/g' -e 's/0.0.0.0//')
			fi
			if [ $ADRESSE = 2 ]; then
				msgbox $M_SIZE absolute=1 select=" Weiter... ,EXIT" title="Neue Remote-Box Web-Adresse"  msg="~cAchtung: Bei dem Zugriff auf eine Remote-Box ~uber~n~cdas Internet wird der Datenverkehr nicht verschl~usselt.~n~cDies gilt insbesondere f~ur die ~Ubertragung ihrer~n~cZugangsdaten auf das Web-Interface."
				if [ $? = 1 ]; then
					IP_BOX2_NEU=$(input o=180 k=1 c=23 l='@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@f~ur":"ist";"verwendbar' t='Neue Remote-Box Web-Adresse' d=$IP_BOX2 | sed -e 's/ \+$//' -e 's/[,]//g' | sed -n 'y/;/:/p')
				else
					ende
				fi
			fi
			if [ ! -s $IP_BOX2_NEU ]; then
				msgbox $M_SIZE absolute=1 select="Nein,$LOGIN_ALT, Zugangsdaten... " title="Passwortschutz f~ur Web-Interface"  msg="~cIst auf dieser Remote-Box das Web-Interface~n~cPasswortgesch~utzt ?"
				LOGIN_1=$?
				[ $LOGIN_1 = 3 ] && LOGIN_NEU=$(input o=180 k=1 c=23 l='Benutzer @@@@@@@@@@@@@@Passwort @@@@@@@@@@@@@@' t='Bitte Zugangsdaten eingeben' | sed -e 's/\(^..............\)\(..............$\)/\1:\2@/' -e 's/ \+:/:/' -e 's/ \+@/@/g')
			else
				[ "$3" = START ] && rm /var/tuxbox/config/remote_timer.conf
				ende
			fi
			if [ $LOGIN_1 = 0 -o $LOGIN_1 = 3 -a "$LOGIN_NEU" = "" ]; then
				ende
			fi
			[ -s $3 ] && [ -e /tmp/remote-timer.flx -o -e /tmp/remote_timer_chlist ] && rm /tmp/remote*timer* &
			[ $LOGIN_1 != 2 ] && LOGIN=`echo $LOGIN_NEU | sed -e 's/^:@$//'`
			IP_BOX2=$IP_BOX2_NEU
		fi
		if [ $2 = EPGMAX_NEU ]; then
			EPGMAX_NEU=$(input o=180 l='Maximal ###' t='1 - 999   EPG-Datens~atze' d=$EPGMAX | sed -e 's/ //g' -e 's/^0*//')
			if [ -s $EPGMAX_NEU ]; then
				ende
			fi
			EPGMAX=$EPGMAX_NEU
		fi
		if [ $2 = EPGINFO_SIZE ]; then
			msgbox $M_SIZE absolute=1 order=3 default=$SIZE_P select="Klein, Mittel ,Gro~z" title="Schriftgr~o~ze f~ur Plugin-Men~u" msg="~cBitte die Schriftgr~o~ze f~ur die Men~u-Struktur ausw~ahlen.~n~n~cBei ~Anderung das Plugin neu starten !"
			SIZE_P_NEU=$?
			if [ $SIZE_P_NEU = 0 ]; then
					ende
			fi
			SIZE_P=$SIZE_P_NEU
			EPGINFO_S_NEU=$(input o=180 l='Schriftgr~o~ze ##' t='EPG-Info  Schriftgr~o~ze  25 - 32  (Default 29)' d=$EPGINFO_S | sed -e 's/ //g')
			[ ${EPGINFO_S_NEU:=0} -ge 25 -a $EPGINFO_S_NEU -le 32 ] && EPGINFO_S=$EPGINFO_S_NEU
		fi
		if [ $2 = VORSCHAU_NEU ]; then
			msgbox $M_SIZE absolute=1 order=3 default=$VORSCHAU select="1,2,3,4,5,6" title="Ansicht der EPG-Vorschauliste" msg=" 1  -  einzeilige einfache EPG-Vorschau~n 2 -  zweizeilige einfache EPG-Vorschau~n~s~n 3 -~$FARBE_EPG  einzeilig & beendete Sendungen farbig~n 4 -  einzeilig & beendete Sendungen ausblenden~n~s~n 5 -~$FARBE_EPG  zweizeilig & beendete Sendungen farbig~n 6 -  zweizeilig & beendete Sendungen ausblenden"
			VORSCHAU_NEU=$?
			if [ $VORSCHAU_NEU = 0 ]; then
				ende
			fi
			if [ $VORSCHAU_NEU = 3 -o $VORSCHAU_NEU = 5 ]; then
				msgbox $M_SIZE absolute=1 order=5 default=$(echo "$FARBE_EPG" | sed -n y/"RGBY"/"1234"/p) select="~RRot,~GGr~un,~BBlau,~YGelb" title="Farbauswahl f~ur beendete Sendungen" msg="~cHier kann f~ur die EPG-Vorschauliste die gew~unschte Farbe~n~cder beendeten Sendungen eingestellt werden.~n~s~n~$FARBE_EPG~cDies ist die aktuelle Farbeinstellung."
				FARBE_EPG_NEU=$(echo "$?" | sed -n y/"1234"/"RGBY"/p)
				if [ $FARBE_EPG_NEU = 0 ]; then
					ende
				fi
				FARBE_EPG=$FARBE_EPG_NEU
			fi
			VORSCHAU=$VORSCHAU_NEU
		fi
		if [ $2 = COLOR_NEU ]; then
			msgbox $M_SIZE absolute=1 order=5 default=$(echo "$FARBE_CH" | sed -n y/"SRGBY"/"12345"/p) select="Standard,~RRot,~GGr~un,~BBlau,~YGelb" title="Farbe f~ur Senderauswahl - Manueller Timer" msg="~cHier kann die gew~unschte Farbe der Senderauswahl f~ur die~n~c\"Manuelle Timer-Programmierung...\" eingestellt werden.~n~s~n~$FARBE_CH~cDies ist die aktuelle Farbeinstellung."
			FARBE_CH_NEU=$(echo "$?" | sed -n y/"12345"/"SRGBY"/p | sed -e 's/0//')
			if [ -s $FARBE_CH_NEU ]; then
				ende
			fi
			FARBE_CH=$FARBE_CH_NEU
		fi
		if [ $2 = CHECK_T ]; then
			CHECK_T_NEU=$(input o=180 l='bis ## Minuten' t='Warnung bei geringem Timerabstand' d=$CHECK_T | sed -e '{s/ //g;s/0*\([0-9]\)/\1/}')
			if [ -s $CHECK_T_NEU ]; then
				ende
			fi
			CHECK_T=$CHECK_T_NEU
		fi
		if [ $2 = TIMEOUT_NEU ]; then
			TIMEOUT_NEU=$(input o=180 l='##-Sekunden' t='5 - 99 Sekunden  Plugin-Timeout' d=$SCRIPT_TIMEOUT | sed -e 's/ //g' -e 's/^0*//')
			if [ -s $TIMEOUT_NEU ]; then
				ende
			fi
			if [ $TIMEOUT_NEU -le 4 ]; then
				SCRIPT_TIMEOUT=10
			else
				SCRIPT_TIMEOUT=$TIMEOUT_NEU
			fi
		fi
		if [ $2 = BOX_IP ]; then
			[ -e /tmp/remote-timer.flx -o -e /tmp/remote_timer_chlist ] && rm /tmp/remote*timer* &
			IP_BOX2=$3; LOGIN="$4"
		fi
		if [ "$3" = BOX_NEU -o "$NO_TIMER" = 1 ]; then
			BOX2_NAME_NEU=$(input o=180 k=1 c=15 l='@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@' t='Name der Remote-Box' d="${MODIFY_NAME:-"Remote-Box  $IP_BOX2_NEU"}" | sed -n 'y/\/,*/   /p' | sed -e 's/^[+-]/ /' -e 's/[\ ]\{30\}/'$IP_BOX2_NEU'/g' -e 's/ *$//')
			if [ "$BOX2_NAME_NEU" != "" ]; then
				[ -e /var/tuxbox/config/remote_box.conf ] && BOXEN_ALT=`sed /^"COMMENT=\*"$/d /var/tuxbox/config/remote_box.conf`
				if [ "$NO_TIMER" = 1 ]; then
					echo "$BOXEN_ALT" | sed -e $SELECT_Z's|.*|SHELLRESOFF=-\&'"$BOX2_NAME_NEU"','$0' SETUP BOX_IP '$IP_BOX2' \"'"$LOGIN"'\",grep -q ='$IP_BOX2'\$ \/var\/tuxbox\/config\/remote_timer.conf|' > /var/tuxbox/config/remote_box.conf
				else
					remote_box="SHELLRESOFF=-&$BOX2_NAME_NEU,$0 SETUP BOX_IP $IP_BOX2 \"$LOGIN\",grep -q ="$IP_BOX2"$ /var/tuxbox/config/remote_timer.conf~>$BOXEN_ALT"
					echo "$remote_box" | sed -e 's/~>/\n/g' | sed -n 1,9p | sed /^$/d > /var/tuxbox/config/remote_box.conf
				fi
				echo "COMMENT=*" >> /var/tuxbox/config/remote_box.conf
			fi
		else
			echo "IP_BOX2=$IP_BOX2~>LOGIN=\"$LOGIN\"~>VORSCHAU=$VORSCHAU~>EPGMAX=$EPGMAX~>SCRIPT_TIMEOUT=$SCRIPT_TIMEOUT~>FARBE_CH=$FARBE_CH~>FARBE_EPG=$FARBE_EPG~>EPGINFO_S=$EPGINFO_S~>CHECK_T=$CHECK_T~>SIZE_P=$SIZE_P" | sed -e 's/~>/\n/g' > /var/tuxbox/config/remote_timer.conf
		fi
	;;
	*)
	echo "Zur Installation bitte readme.txt lesen !"
	;;
esac
rm /tmp/tmp_rtp_* &
exit 0
